ElementData.h File Reference
`#include <weipa/weipa.h>`
`#include <weipa/vtkCellType.h>`
`#include <ostream>`

Go to the source code of this file.

## Classes

struct | weipa::QuadMaskInfo
| This struct holds a mask (0's and 1's) that indicates which quad nodes contribute to a sub-element when full element order is used. factor[i] contains the number of non-zeroes in mask[i]. More...
class | weipa::ElementData
| Stores and manipulates one type of domain elements. More...

## Namespaces

| weipa

## Enumerations

enum | weipa::ZoneType { weipa::ZONETYPE_UNKNOWN =0 , weipa::ZONETYPE_BEAM =VTK_LINE , weipa::ZONETYPE_HEX =VTK_HEXAHEDRON , weipa::ZONETYPE_POLYGON =VTK_POLYGON , weipa::ZONETYPE_QUAD =VTK_QUAD , weipa::ZONETYPE_TET =VTK_TETRA , weipa::ZONETYPE_TRIANGLE =VTK_TRIANGLE }